searchNodes=[{"ref":"FastSanitize.html","title":"FastSanitize","type":"module","doc":"Fast HTML sanitization module."},{"ref":"FastSanitize.html#basic_html/1","title":"FastSanitize.basic_html/1","type":"function","doc":"Strip tags from a given document fragment that are not basic HTML. Example iex&gt; FastSanitize.basic_html(&quot;&lt;h1&gt;hello world&lt;/h1&gt;&lt;script&gt;alert(&#39;xss&#39;)&lt;/script&gt;&quot;) {:ok, &quot;&lt;h1&gt;hello world&lt;/h1&gt;alert(&amp;#39;xss&amp;#39;)&quot;}"},{"ref":"FastSanitize.html#strip_tags/1","title":"FastSanitize.strip_tags/1","type":"function","doc":"Strip all tags from a given document fragment. Example iex&gt; FastSanitize.strip_tags(&quot;&lt;h1&gt;hello world&lt;/h1&gt;&quot;) {:ok, &quot;hello world&quot;}"},{"ref":"FastSanitize.Fragment.html","title":"FastSanitize.Fragment","type":"module","doc":"Processing of HTML fragment trees."},{"ref":"FastSanitize.Fragment.html#to_html/2","title":"FastSanitize.Fragment.to_html/2","type":"function","doc":""},{"ref":"FastSanitize.Fragment.html#to_tree/1","title":"FastSanitize.Fragment.to_tree/1","type":"function","doc":""},{"ref":"FastSanitize.Sanitizer.html","title":"FastSanitize.Sanitizer","type":"behaviour","doc":"Defines the contract that Sanitizer modules must follow."},{"ref":"FastSanitize.Sanitizer.html#c:scrub/1","title":"FastSanitize.Sanitizer.scrub/1","type":"callback","doc":"Scrubs a document node."},{"ref":"FastSanitize.Sanitizer.html#scrub/2","title":"FastSanitize.Sanitizer.scrub/2","type":"function","doc":"Scrubs a text node."},{"ref":"FastSanitize.Sanitizer.BasicHTML.html","title":"FastSanitize.Sanitizer.BasicHTML","type":"module","doc":"The default sanitizer policy."},{"ref":"FastSanitize.Sanitizer.BasicHTML.html#scrub/1","title":"FastSanitize.Sanitizer.BasicHTML.scrub/1","type":"function","doc":""},{"ref":"FastSanitize.Sanitizer.BasicHTML.html#scrub_attribute/2","title":"FastSanitize.Sanitizer.BasicHTML.scrub_attribute/2","type":"function","doc":""},{"ref":"FastSanitize.Sanitizer.Dummy.html","title":"FastSanitize.Sanitizer.Dummy","type":"module","doc":"A sanitizer policy which does nothing."},{"ref":"FastSanitize.Sanitizer.Dummy.html#scrub/1","title":"FastSanitize.Sanitizer.Dummy.scrub/1","type":"function","doc":""},{"ref":"FastSanitize.Sanitizer.Meta.html","title":"FastSanitize.Sanitizer.Meta","type":"module","doc":"This module contains some meta-programming magic to define your own rules for scrubbers. The StripTags scrubber is a good starting point: defmodule FastSanitize.Sanitizer.StripTags do require FastSanitize.Sanitizer.Meta alias FastSanitize.Sanitizer.Meta Meta.strip_comments Meta.strip_everything_not_covered end You can use the allow_tag_with_uri_attributes/3 and allow_tag_with_these_attributes/2 macros to define what is allowed: defmodule FastSanitize.Sanitizer.StripTags do require FastSanitize.Sanitizer.Meta alias FastSanitize.Sanitizer.Meta Meta.strip_comments Meta.allow_tag_with_uri_attributes &quot;img&quot;, [&quot;src&quot;], [&quot;http&quot;, &quot;https&quot;] Meta.allow_tag_with_these_attributes &quot;img&quot;, [&quot;width&quot;, &quot;height&quot;] Meta.strip_everything_not_covered end You can stack these if convenient: Meta.allow_tag_with_uri_attributes &quot;img&quot;, [&quot;src&quot;], [&quot;http&quot;, &quot;https&quot;] Meta.allow_tag_with_these_attributes &quot;img&quot;, [&quot;width&quot;, &quot;height&quot;] Meta.allow_tag_with_these_attributes &quot;img&quot;, [&quot;title&quot;, &quot;alt&quot;]"},{"ref":"FastSanitize.Sanitizer.Meta.html#allow_tag_with_these_attributes/2","title":"FastSanitize.Sanitizer.Meta.allow_tag_with_these_attributes/2","type":"macro","doc":"Allow the given +list+ of attributes for the specified +tag+. Meta.allow_tag_with_these_attributes &quot;a&quot;, [&quot;name&quot;, &quot;title&quot;] Meta.allow_tag_with_these_attributes &quot;img&quot;, [&quot;title&quot;, &quot;alt&quot;]"},{"ref":"FastSanitize.Sanitizer.Meta.html#allow_tag_with_this_attribute_values/3","title":"FastSanitize.Sanitizer.Meta.allow_tag_with_this_attribute_values/3","type":"macro","doc":"Allow the given list of +values+ for the given +attribute+ on the specified +tag+. Meta.allow_tag_with_this_attribute_values &quot;a&quot;, &quot;target&quot;, [&quot;_blank&quot;]"},{"ref":"FastSanitize.Sanitizer.Meta.html#allow_tag_with_uri_attributes/3","title":"FastSanitize.Sanitizer.Meta.allow_tag_with_uri_attributes/3","type":"macro","doc":"Allow the given +list+ of attributes to contain URI information for the specified +tag+. # Only allow SSL-enabled and mailto links Meta.allow_tag_with_uri_attributes &quot;a&quot;, [&quot;href&quot;], [&quot;https&quot;, &quot;mailto&quot;] # Only allow none-SSL images Meta.allow_tag_with_uri_attributes &quot;img&quot;, [&quot;src&quot;], [&quot;http&quot;]"},{"ref":"FastSanitize.Sanitizer.Meta.html#allow_tags_and_scrub_their_attributes/1","title":"FastSanitize.Sanitizer.Meta.allow_tags_and_scrub_their_attributes/1","type":"macro","doc":"Allow these tags and use the regular scrub_attribute/2 function to scrub the attributes."},{"ref":"FastSanitize.Sanitizer.Meta.html#allow_tags_with_style_attributes/1","title":"FastSanitize.Sanitizer.Meta.allow_tags_with_style_attributes/1","type":"macro","doc":""},{"ref":"FastSanitize.Sanitizer.Meta.html#strip_children_of/1","title":"FastSanitize.Sanitizer.Meta.strip_children_of/1","type":"macro","doc":"Ensures any tags/attributes that are explicitly disallowed have their children dropped."},{"ref":"FastSanitize.Sanitizer.Meta.html#strip_comments/0","title":"FastSanitize.Sanitizer.Meta.strip_comments/0","type":"macro","doc":"Strips all comments."},{"ref":"FastSanitize.Sanitizer.Meta.html#strip_everything_not_covered/0","title":"FastSanitize.Sanitizer.Meta.strip_everything_not_covered/0","type":"macro","doc":"Ensures any tags/attributes not explicitly whitelisted until this statement are stripped."},{"ref":"FastSanitize.Sanitizer.StripTags.html","title":"FastSanitize.Sanitizer.StripTags","type":"module","doc":"A sanitizer policy which strips all tags."},{"ref":"FastSanitize.Sanitizer.StripTags.html#scrub/1","title":"FastSanitize.Sanitizer.StripTags.scrub/1","type":"function","doc":""},{"ref":"FastSanitize.Sanitizer.StripTags.html#scrub_attribute/2","title":"FastSanitize.Sanitizer.StripTags.scrub_attribute/2","type":"function","doc":""}]